Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Upgrade fails, include/db/config.php does not exists  (Read 11423 times)

0 Members and 1 Guest are viewing this topic.

tflaat

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 24
Upgrade fails, include/db/config.php does not exists
« on: April 02, 2011, 09:26:09 pm »

Can someone please help. I tried to upgrade from 1.4.9. I took backup of the database and all files. When I tried to run the update script (update.php) I got the following error:

The database connection failed. Please check your database configuration in include/db/config.php. If the configuration is okay, check if the database server is running.

I'm not able to find the include/db/config.php. It is not in my backup and not in the latest version I downloaded. What do I do?
Logged

tflaat

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 24
Re: Upgrade fails, include/db/config.php does not exists
« Reply #1 on: April 02, 2011, 10:45:37 pm »

I managed to fall back to the old version. When I restored all files everything was fine. But now  I am still on 1.4.19 and don't understand what went wrong.
Logged

Nibbler

  • Guest
Re: Upgrade fails, include/db/config.php does not exists
« Reply #2 on: April 02, 2011, 11:28:39 pm »

That error message is not from Coppermine. Make sure you downloaded/uploaded the right files.
Logged

tflaat

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 24
Re: Upgrade fails, include/db/config.php does not exists
« Reply #3 on: April 03, 2011, 03:39:26 pm »

Yes, that is correct. Thanks for your help.

I found that it is from Phorum that I am trying to bridge. Phorum was bridged in 1.4.19 and worked fine. To get 1.5.12 to work I had to disable the bridge. But then all the personal albums disappeard and I had to restore back to 1.4.19.

I have no idea how I now can upgrade to 1.5. Anyone who have had similar problems?

The error I got was this one: The database connection failed. Please check your database configuration in include/db/config.php. If the configuration is okay, check if the database server is running.
Logged

Joe Carver

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 1504
  • aka 'i-imagine'
    • Home Page
Re: Upgrade fails, include/db/config.php does not exists
« Reply #4 on: April 03, 2011, 07:20:23 pm »

I have no idea how I now can upgrade to 1.5. Anyone who have had similar problems?
The bridge file will need to be updated/rewritten for cpg 1.5.x.
See: Available bridge files

I had to restore back to 1.4.19.
At minimum - upgrade to cpg 1.4.27 - your old version is very much out of date.




tflaat

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 24
Re: Upgrade fails, include/db/config.php does not exists
« Reply #5 on: April 03, 2011, 08:00:36 pm »

Thank you!
I will try to upgrade to 1.4.27. How can I find out when the bridge file is updated/rewritten?
Logged

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4815
    • Windsurf.me
Re: Upgrade fails, include/db/config.php does not exists
« Reply #6 on: April 03, 2011, 08:15:31 pm »

It may be or may never be. For these things we often rely on the community to come up with a bridge. If you have the skills give it a go, if not you will either have to pay someone or be patient in the hope someone will come up with one.
Logged
It is a mistake to think you can solve any major problems just with potatoes.

tflaat

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 24
Re: Upgrade fails, include/db/config.php does not exists
« Reply #7 on: April 03, 2011, 08:22:49 pm »

Ok. I'm afraid I dont have the skills. I'm webmaster for a motorbike club that probably can pay. Can you recommend someone or can we pay the development team?
Logged

tflaat

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 24
Re: Upgrade fails, include/db/config.php does not exists
« Reply #8 on: October 30, 2011, 03:43:03 pm »

Last time I tried to upgrade it failed because the bridge file was not updated/rewritten for cpg 1.5.x (I bridge to Phorum). When i now click on the link above to available bridge files Phorum appears. Does that mean that it is now updated for 1.5.x ?



Logged

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4815
    • Windsurf.me
Re: Upgrade fails, include/db/config.php does not exists
« Reply #9 on: October 30, 2011, 07:24:00 pm »

Yes, but be sure to back up everything especially your database before you start.
Logged
It is a mistake to think you can solve any major problems just with potatoes.

tflaat

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 24
Re: Upgrade fails, include/db/config.php does not exists
« Reply #10 on: October 30, 2011, 07:49:07 pm »

Excellent! Thank you very much ;)
Logged

tflaat

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 24
Re: Upgrade fails, include/db/config.php does not exists
« Reply #11 on: February 03, 2012, 11:51:50 pm »

I  have upgraded to latest version and get the message The database connection failed. Please check your database configuration in include/db/config.php. If the configuration is okay, check if the database server is running.

The database is runing and the config file is the one uset by Phorum5 and works fine there. Any idea what is wrong?
Logged

Joe Carver

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 1504
  • aka 'i-imagine'
    • Home Page
Re: Upgrade fails, include/db/config.php does not exists
« Reply #12 on: February 04, 2012, 12:25:32 am »

Please check your database configuration in include/db/config.php
It would be looking for the file:  your_cpg_root/include/config.inc.php
That is one of the files that you should have a backup of.
You can enter / edit the db settings into config.inc.php.sample that is in the same directory if you have no backup copy.
It explains itself.

The database is runing and the config file is the one uset by Phorum5
No, Coppermine reads db information from  config.inc.php.

tflaat

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 24
Re: Upgrade fails, include/db/config.php does not exists
« Reply #13 on: February 05, 2012, 07:31:13 pm »

It is not Coppermines config file that is causing the problem. It is Phorum5's that I'm trying to bridge.

However, I decided to copy over users manually and break the bridge between Coppermine and Phorum. It has caused me so many problems that I have had enough :(
Logged
Pages: [1]   Go Up
 

Page created in 0.031 seconds with 19 queries.